﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using static SfAccordionUWPSample.ViewModel;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace SfAccordionUWPSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            ViewModel vm = new ViewModel();
            List<Stuff> list = vm.getData();

            // group the data here for example
            // Group the data into categories
            var inspectionItemsGrouped = list.GroupBy(item => item.SubCategory).Select(g => new
            {
                SubCategory = g.Key,
                Items = g.ToList()
            }).ToList();
            
            MyView.Source = inspectionItemsGrouped;
            this.DataContext = this;
        }
    }
}
